#! /bin/sh

# Prépare les fichiers de traduction :
# - Copie les traductions actuelles (.ts) du SVN MythTV-FR sous notre version sous trad/
# - Écrase les fichiers MythTV avec notre traduction et met à jour les fichiers (.ts)
# - Met à jour nos traductions avec les nouveaux fichiers (.ts)

VERSION="$1"
SVN_AUTH=${SVN_AUTH:-"svn://"}
if [ -z "$VERSION" ]
then
    echo "Fournissez un numéro de version SVN de MythTV !"
    exit 1
fi

pushd trad/$VERSION || exit 1
svn checkout ${SVN_AUTH}svn.tuxfamily.org/svnroot/mythtvfr/traduction fr

for archive in mythtv mythplugins myththemes
do
    cp -a fr/$archive .
done

pushd mythtv/i18n
sh ../../../../scripts/mythtv/i18n/lupdate.sh
popd
pushd mythplugins
sh ../../../scripts/mythplugins/lupdate.sh
popd

for archive in mythtv mythplugins myththemes
do
    find fr/$archive -type f | while read fichier
    do
        [ $(basename $fichier _fr.ts) != $(basename $fichier) ] && cp ${fichier#fr/} $(dirname $fichier)
    done
done

popd
